<html><head>
<title>Types</title>
</head><body link="#000000" vlink="#000000">


<p>
	<font face="verdana" size="4"><b>Table of contents : Types</b></font><br>
	<br>
	<br>
	<font face="verdana" size="2"><b>Types / I. Convention</b></font>
	<br />
  <br />

	<font face="verdana" size="2"><b>Types / II. Types</b></font>
	<font face="verdana" size="1">
	<ul>
		<li>1. Basic types
		<li>2. 
		<li>3. 
		<li>4. 
		<li>5. 
		<li>6. 
		<li>7. 
	</ul>
	</font>
	<hr>
</p>

<p><font face="verdana" size="4"><a id="tech" name="tech"><b>Types / I. Convention</b></a></font></p>
<p><font face="verdana" size="2">
</font></p>

<p><font face="verdana" size="4"><a id="prog" name="prog"><b>Types / II. Types</b></a></font></p>

<p><font face="verdana" size="3">
<b>1. Basic types</b>
</font></p>
<p><font face="verdana" size="2">

<table width="400">
	<tr bgcolor="#f1f1f1">
		<td align="center"><font face="verdana" size="2">
		<b>Type</b>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		<b>Size</b>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		<b>Max</b>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		<b>Min</b>
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_char" name="l_char">l_char</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		8 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		127
		</font></td>
		<td align="center"><font face="verdana" size="2">
		-128
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_uchar" name="l_uchar">l_uchar</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		8 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		255
		</font></td>
		<td align="center"><font face="verdana" size="2">
		0
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_short" name="l_short">l_short</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		16 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		32767
		</font></td>
		<td align="center"><font face="verdana" size="2">
		-32768
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_ushort" name="l_ushort">l_ushort</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		16 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		65535
		</font></td>
		<td align="center"><font face="verdana" size="2">
		0
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_int" name="l_int">l_int</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		32 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		2147483647
		</font></td>
		<td align="center"><font face="verdana" size="2">
		-2147483648
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_long" name="l_long">l_long</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		32 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		2147483647
		</font></td>
		<td align="center"><font face="verdana" size="2">
		-2147483648
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_uint" name="l_uint">l_uint</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		32 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		4294967295
		</font></td>
		<td align="center"><font face="verdana" size="2">
		0
		</font></td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">
		<a id="l_ulong" name="l_ulong">l_ulong</a>
		</font></td>
		<td align="center"><font face="verdana" size="2">
		32 bits
		</font></td>
		<td align="center"><font face="verdana" size="2">
		4294967295
		</font></td>
		<td align="center"><font face="verdana" size="2">
		0
		</font></td>
	</tr>
	
</table>

</font></p>

<p><font face="verdana" size="1">(c) Copyright 2003,2004 Point Mad, Lukas Lipka. All rights reserved.</font></p>
</body></html>